#include "OriginalWnd.h"
#include "ui_OriginalWnd.h"
#include "OriginalWnd/Demo001_1.h"
#include "OriginalWnd/Demo001_2.h"
#include "OriginalWnd/Demo001_3.h"
#include <qDebug>

OriginalWnd::OriginalWnd(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::OriginalWnd)
{
    ui->setupUi(this);

    initForm();
}

OriginalWnd::~OriginalWnd()
{
    delete ui;
}

void OriginalWnd::initForm()
{
    ui->toolButton->setIcon(QIcon(":/images/light/stop.png"));
    ui->toolButton_2->setIcon(QIcon(":/images/light/start.png"));
    ui->toolButton->setToolButtonStyle(Qt::ToolButtonTextBesideIcon);
    ui->toolButton_2->setToolButtonStyle(Qt::ToolButtonTextBesideIcon);


    ui->label_6->setPixmap(QPixmap(":/images/light/user.png").scaled(20, 20, Qt::KeepAspectRatio));

    Demo001_3 *demo001_3 = new Demo001_3;
    ui->switchShowPageUI->addWidget(demo001_3);
    ui->switchShowPageUI->setCurrentIndex(ui->switchShowPageUI->indexOf(demo001_3));
}

void OriginalWnd::on_pushButton_4_clicked()
{
    Demo001_1 *demo001_1 = new Demo001_1;
    ui->switchShowPageUI->addWidget(demo001_1);
    ui->switchShowPageUI->setCurrentIndex(ui->switchShowPageUI->indexOf(demo001_1));
}


void OriginalWnd::on_pushButton_5_clicked()
{
    Demo001_2 *demo001_2 = new Demo001_2;
    ui->switchShowPageUI->addWidget(demo001_2);
    ui->switchShowPageUI->setCurrentIndex(ui->switchShowPageUI->indexOf(demo001_2));
}


void OriginalWnd::on_pushButton_6_clicked()
{
    Demo001_3 *demo001_3 = new Demo001_3;
    ui->switchShowPageUI->addWidget(demo001_3);
    ui->switchShowPageUI->setCurrentIndex(ui->switchShowPageUI->indexOf(demo001_3));
}
